org.eclipse.net4j.util.concurrent

## Class OnePendingExecutor

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.OnePendingExecutor

- All Implemented Interfaces:
    Executor

      public class OnePendingExecutor
      extends Object
      implements Executor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnePendingExecutor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(Runnable command)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnePendingExecutor

          public OnePendingExecutor()

  - ### Method Detail

    - #### execute

          public void execute(Runnable command)

      Specified by:
        `execute` in interface `Executor`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html